Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Firefox s'acharne contre les plug-ins périmés
Et avertit plus sérieusement ses utilisateurs pour les mettre à jour

Le , par Nissa Comet

20PARTAGES

7  1 
Les utilisateurs de Firefox risquent à l’avenir d’être harcelés par les notifications de mises à jour fréquentes des plug-ins périmés, ces sources inépuisables de problèmes de sécurité.

En effet, Firefox compte appeler plus fermement à l’installation de ces mises à jour, et ce à partir de chaque page qui y fait appel, alors qu’il faut actuellement aller expressément sur le gestionnaire des extensions. Selon les développeurs de Firefox, cela concerne les versions obsolètes de Silverlight, Adobe Reader, Adobe Flash et autres, mais cette vérification n’est disponible pour le moment que sur le système d’exploitation Windows.

Mozilla a aussi prévu un site Web de vérification de plug-ins où les utilisateurs peuvent se rendre pour effectuer une révision de leur navigateur. Sur cette adresse, il est possible de vérifier ses composants et de voir quelles sont les mises à jour à installer.


Selon le blog officiel de Mozilla, ces mises à jour sont vraiment importantes et les négliger pourrait causer beaucoup de dégâts. En effet elles permettent de profiter des meilleures fonctionnalités, d’échapper aux failles de sécurité et de bénéficier d’une meilleure expérience utilisateur, stable et sûre.

Plug-in Check : vérifiez si votre navigateur est à jour

Source : Blog de Mozilla

Et vous ?
Pensez-vous que ce soit le meilleur moyen ou la seule solution que puisse utiliser Firefox pour que ses utilisateurs bénéficient d’une meilleure expérience Web ?

Une erreur dans cette actualité ? Signalez-le nous !

Avatar de Barsy
Expert confirmé https://www.developpez.com
Le 09/10/2012 à 10:05
En même temps, si Firefox n'avait pas sorti une version majeure tous les mois, il est probable que les plug-ins périmeraient moins vite.

J'ai développé une extension pour Firefox l'an dernier. J'étais obligé de la mettre à jour constamment pour valider le fait qu'elle était compatible avec chaque version de FF, c'est franchement pénible. A force, j'ai fini par définir dans la config de l'extension qu'elle est compatible jusqu'à la version 50 de FF pour être tranquille...

Je ne sais pas quelle mouche a piqué Mozilla pour que soudain, ils se mettent à ne faire que des versions majeures alors que les évolutions sont mineures. Il était inutile de copier le fonctionnement de Chrome là dessus que je trouvais déjà ridicule.
15  1 
Avatar de Barsy
Expert confirmé https://www.developpez.com
Le 09/10/2012 à 11:47
Citation Envoyé par Jon Shannow Voir le message
C'est ce qui m'a fait abandonner Firefox au profit de Google Chrome !
Enfin, ce reproche vaut aussi pour Google Chrome qui a été le premier à pratiquer le fait de sortir une nouvelle version majeure chaque mois.
6  0 
Avatar de Chuck_Norris
Membre émérite https://www.developpez.com
Le 09/10/2012 à 10:20
Citation Envoyé par Aspartame Voir le message
étant donné le statut de la fondation mozilla , est-il possible de les attaquer juridiquement pour harcèlement ?
J'ai ri.

Citation Envoyé par Barsy
En même temps, si Firefox n'avait pas sorti une version majeure tous les mois, il est probable que les plug-ins périmeraient moins vite.
Je suis d'accord sur le fond de la problématique de sorties rapides de versions soi-disantes majeures.

Ceci dit je pense que là on parle bien de quelque chose de différent : non pas d'un plugin qui est désactivé car non compatible avec la version de Firefox, mais d'un plugin toujours compatible avec la version en cours et donc actif, mais avec une faille béante, corrigée dans une version ultérieure non installée.
5  0 
Avatar de Othana
Membre régulier https://www.developpez.com
Le 09/10/2012 à 10:46
vérification qui freeze méchamment firefox.
Plus ça va et plus ce navigateur devient lourd, lent et instable.
Et pas la peine d'incriminer les "méchants" plugins, j'en ai aucun !
6  1 
Avatar de Uther
Expert éminent sénior https://www.developpez.com
Le 09/10/2012 à 14:19
Citation Envoyé par Barsy Voir le message
En même temps, si Firefox n'avait pas sorti une version majeure tous les mois, il est probable que les plug-ins périmeraient moins vite.
C'est tout le contraire : ici il ne s'agit pas d'extension périmées à cause des montées de version mais de plugins qui contiennent des failles de sécurités.
Les plugins(flash, silverlight, java,...) utilisent la NPAPI qui est stable. Ils continuent donc de fonctionner quelque que soit la version de Firefox.

Citation Envoyé par Barsy Voir le message
A force, j'ai fini par définir dans la config de l'extension qu'elle est compatible jusqu'à la version 50 de FF pour être tranquille...
Maintenant ce problème est en grande partie résolu, l’incrémentation du numéro se fait automatiquement, si aucune fonctionnalité du plugin n'a été modifiée.

Citation Envoyé par Barsy Voir le message
Je ne sais pas quelle mouche a piqué Mozilla pour que soudain, ils se mettent à ne faire que des versions majeures alors que les évolutions sont mineures. Il était inutile de copier le fonctionnement de Chrome là dessus que je trouvais déjà ridicule.
Je t'invites à lire ces auncien sujets ou j'explique pourquoi, ce n'est pas une lubie mais que ca répond a un vrai besoin:
http://www.developpez.net/forums/d11...a/#post6416715
http://www.developpez.net/forums/d11...a/#post6416963
http://www.developpez.net/forums/d11...a/#post6419385

Citation Envoyé par Jon Shannow Voir le message
Sauf que Chrome le fait de manière transparente. Je suis à jour avec Chrome sans avoir vu un seul écran : vous devez mettre à jour blabla. Faut redémarrer FF, puis là, une page avec la liste des plugins/extensions qui ne sont plus valables pour cette version. A peine, la version du plugin/extension mise à jour, que FF sortait à nouveau un version et on c'était reparti !
Depuis Firefox 15, les mises à jour sont aussi silencieuses par défaut et contrairement a Chrome, Il est possible de changer ce fonctionnement si on le souhaite.
Les plugins restent compatible et les extensions ne sont plus désactivées(sauf en cas de problème connu) depuis le version 10.
4  1 
Avatar de sevyc64
Modérateur https://www.developpez.com
Le 09/10/2012 à 17:16
Citation Envoyé par tabouet Voir le message
Franchement, les mises à jours pour la sécurité ou pour apporter des nouvelles fonctions, c'est bien mais faudrait voir à ne pas abuser...
Quand mon PC s'allume, je passe plus de temps à faire les mises à jours qu'à bosser.
Allume le plus souvent !!

Le miens tourne tous les jours, et les mises à jour (toutes en automatiques quand c'est possible) je n'y fait même plus attention.

Au point que je ne sais même pas en quelle version je suis de FF ou de Chrome
3  1 
Avatar de Tillo
Membre confirmé https://www.developpez.com
Le 09/10/2012 à 14:41
Franchement, les mises à jours pour la sécurité ou pour apporter des nouvelles fonctions, c'est bien mais faudrait voir à ne pas abuser...
Quand mon PC s'allume, je passe plus de temps à faire les mises à jours qu'à bosser.
2  1 
Avatar de Kiiwi
Membre chevronné https://www.developpez.com
Le 09/10/2012 à 19:00
Citation Envoyé par hotcryx Voir le message
Lol, tu ferais bien d'ajouter Ghostery (un block trackers)
Personnellement, j'ai eu un sentiment d'extrême lourdeur avec ce module.

Quoi qu'il en soit, j'ai quasiment tout viré comme modules, et j'en ai plus que 3. 2 que je considères indispensables quotidiennement, quant aux 3èmes, je l'utilise qu'occasionnellement, mais c'est un module qui exige un redémarrage de firefox à chaque activation/désactivation... donc question pratique, il reste activé. Et je peux te dire que actuellement, firefox il tourne très bien.
Il reste un peu moins fluide qu'Opera, mais y a pas à s'en plaindre.

Je ne connais pas le "firefox usine à gaz" dont parlent tous ses détracteurs.

Citation Envoyé par Uther Voir le message

Je t'invites à lire ces auncien sujets ou j'explique pourquoi, ce n'est pas une lubie mais que ca répond a un vrai besoin:
http://www.developpez.net/forums/d11...a/#post6416715
http://www.developpez.net/forums/d11...a/#post6416963
http://www.developpez.net/forums/d11...a/#post6419385
Certes, mais ce que je reproche à Mozilla c'est d'avoir instauré ce cycle de développement rapide dans la précipitation.
Il aurait fallu au moins attendre les mises à jour silencieuses...
même les habitués de firefox en ont eu marre de ce rythme l'année dernière.
Les modules complémentaires ne suivaient pas, du coup on attendait pour faire la mise à jour, chaque démarrage elle voulait se faire, quand enfin on mettait à jour ff, la semaine d'après y avait une nouvelle version, etc
c'était soulant soulant soulant, à tel point qu'à cette époque je me suis rapproché d'Opera... et même d'IE9.

Et ça a gardé des traces, même maintenant que les mises à jours sont plus discrètes, je n'utilise plus autant firefox qu'avant. ça reste mon navigateur principal, mais souvent j'utilise Opera (pas IE9, il est très bien, mais définitivement pas pour moi).
1  0 
Avatar de alex_vino
Membre émérite https://www.developpez.com
Le 09/10/2012 à 10:21
Je n'utilise pas tous les jours Firefox mais je n'ai jamais vraiment été trop dérangé par les notifications, du moins IE est largement pire a ce niveau la.

Concernant les développeurs de plugin c'est vrai que c'est vraiment galere, je suis tout a fait d'accord qu'il ne devraient pas se baser sur des versions majeurs a chaque mise a jour mineure.
Quand un client dit qu'il a la version 5 et que l'on utilise a ce jour la version 15 c'est difficile de lui dire grosso modo quel est le risque d'incompatibilité possible. Ca donne l'impression que son navigateur a déja 10 ans. IE est mauvais mais au moins on connait facilement les problemes que peuvent poser chaque version.
0  0 
Avatar de Freem
Membre émérite https://www.developpez.com
Le 09/10/2012 à 10:24
la question que je me pose:
étant donné le statut des utilisateurs de DVP.com , est-il possible de les attaquer juridiquement pour bêtise profonde ?

c'est une vraie question , je pense que plusieurs utilisateurs et entreprises seraient prêts à constituer une action en justice .

Plus sérieusement, Aspartame, si tu n'aimes pas firefox, utilises chrome, safari, IE, opera... le choix ne manque pas.

Pour ce qui est de la news, ils ont raison. Les mises à jour de sécurité des plugin devraient être installées systématiquement.
Malheureusement, ce n'est pas le cas. En allant sur ce site avec firefox, je me suis d'ailleurs aperçu que flash n'est pas à jour (parce qu'avoir une notification pour nouvelle MaJ au boot de windows me casse les ... et que je l'ai donc désactivée. Et comme c'est le poste du bureau je ne fait pas vraiment souvent de MaJ )
2  2